Odin

ESL-Migros

Create Migros label

Gathers product-, price-, scale- and store-data, creates a label and starts the image generation process.

post
https://api-qual.migros.ch/migros/products/odin/v1/label

Body

application/json

MigrosMoFipLabel

MoFipLabel represents the model which MoFip sends while pairing.

arrowstringrequired

Example:none

designstringrequired

Example:[ "" ]

gtinstringrequired

Example:2124307000000

label_idstringrequired

Example:0BC62A0BB696

origin_countrystringrequired

Example:Espagne

product_idstringrequired

Example:275700501000

rotation_degreesstringrequired

Example:[ "" ]

show_delivery_by_airboolean | nullrequired

Example:false

show_delivery_interruptionboolean | nullrequired

Example:false

store_idstringrequired

Example:0063940

wildfangstringrequired

Example:[ "" ]

Response

201

Label created

post/migros/products/odin/v1/label

Body

{ "arrow": "none", "design": "", "gtin": "2124307000000", "label_id": "0BC62A0BB696", "origin_country": "Espagne", "product_id": "275700501000", "rotation_degrees": "", "show_delivery_by_air": false, "show_delivery_interruption": false, "store_id": "0063940", "wildfang": "" }
 
201

Flip migros to page

Flip to a specific page on an ESL.

patch
https://api-qual.migros.ch/migros/products/odin/v1/label/flip/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Body

application/json

MigrosMoFipPageflip

MigrosMoFipPageflip represents the model which MoFip sends when initiating a pageflip.

pageintegerrequired

Example:2

Response

204

OK

patch/migros/products/odin/v1/label/flip/{labelID}

Body

{ "page": 2 }
 
204

Remove Migros label

Removes the specified Migros label along with any associated labels that have the same product and store. It also unlinks the labels from AIMS.

delete
https://api-qual.migros.ch/migros/products/odin/v1/label/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Response

204

Label deleted

delete/migros/products/odin/v1/label/{labelID}
 
204

Get migros simulated label images

It returns a collection of base64-encoded images grouped by label sizes.

get
https://api-qual.migros.ch/migros/products/odin/v1/simulator/{storeID}/{productID}

Query Parameters

product_namestring

Overrides product name.

package_sizestring

Overrides product package size.

originstring

Overrides product origin.

production_methodstring

Overrides production method (wildfang).

delivery_interruptionboolean

Indicator to control if Delivery Interruption should be shown.

arrowboolean

Indicator to control if arrow should be shown.

by_airboolean

Indicator to control if “by air” information should be shown.

mhdstring

Overrides store process MHD value.

Allowed values:KEINKEIN_TERMINNOCH_NICHT_FAELLIGBALD_FAELLIGUEBERFAELLIG

Default:KEIN

arbeitsvorratstring

Overrides store process Arbeitsvorrat value.

Allowed values:KEINOFFENIN_ARBEITERLEDIGT

Default:KEIN

inventurstring

Overrides store process Inventur value.

Allowed values:KEINRELEVANTNICHT_RELEVANT

Default:KEIN

auslistungstring

Overrides store process Inventur value.

Allowed values:KEINJANEIN

Default:KEIN

lieferunterbruchstring

Overrides store process Lieferunterbruch value.

Allowed values:KEINJANEINERNEUT_LIEFERBAR

Default:KEIN

Path Parameters

storeIDstringrequired

The store for which the labels should be generated. Language of the labels will depend on this…

productIDstringrequired

The id of the product.

Response

200 application/json

List of base64-encoded images grouped by label sizes.

SimulatedImages

SimulatedImages represents a collection of base64-encoded images grouped by label sizes.

size1.6array[string]

List of base64 encoded images for label size 1.6 inches

Example:[ "" ]

size2.2array[string]

List of base64 encoded images for label size 2.2 inches

Example:[ "" ]

size2.7array[string]

List of base64 encoded images for label size 2.7 inches

Example:[ "" ]

size4.2array[string]

List of base64 encoded images for label size 4.2 inches

Example:[ "" ]

size7.5array[string]

List of base64 encoded images for label size 7.5 inches

Example:[ "" ]

size8.2array[string]

List of base64 encoded images for label size 8.2 inches

Example:[ "" ]

get/migros/products/odin/v1/simulator/{storeID}/{productID}
 
200 application/json